# Env
source = ~/.config/hypr/env.conf

# Nvidia
# source = ~/.config/hypr/nvidia.conf

# Keybinds
source = ~/.config/hypr/keybinds.conf

# Monitors/Workspaces
source = ~/.config/hypr/windowrule.conf

# Startup
source = ~/.config/hypr/startup.conf

# Devices
source = ~/.config/hypr/devices.conf

# Input
input {
    kb_layout = us
    numlock_by_default = 1

    follow_mouse = 1

    touchpad {
        natural_scroll = yes
    }
}

# General
general {
    gaps_in = 2 
    gaps_out = 2
    border_size = 2
    col.active_border = rgba(7dc4e4ee) rgba(7dc4e4ee) 45deg
    col.inactive_border = rgba(595959aa)

    layout = dwindle
}

# Decoration
decoration {
    rounding = 0
    
    blur {
        enabled = true
        size = 2
        passes = 3 
        #noise = 0
        new_optimizations = on
        special = false

        blurls = rofi 
        blurls = gtk-layer-shell
    }

    drop_shadow = yes
    shadow_range = 4
    shadow_render_power = 3
    col.shadow = rgba(1a1a1aee)
}

# Animations
animations {
    enabled = yes

    bezier = myBezier, 0.05, 0.9, 0.1, 1.05

    animation = windows, 1, 7, myBezier
    animation = windowsOut, 1, 7, default, popin 80%
    animation = border, 1, 10, default
    animation = borderangle, 1, 8, default
    animation = fade, 1, 7, default
    animation = workspaces, 1, 6, default
}

# Dwindle
dwindle {
    pseudotile = yes
    preserve_split = yes
}

# Gestures
gestures {
    workspace_swipe = on
}

# Misc
misc {
    #mouse_move_enables_dpms = true
    key_press_enables_dpms = true
}
